## nvidia-settings-legacy-340xx 340.98

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.98-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 17:19:41 +0100

nvidia-settings-legacy-340xx (340.98-1) unstable; urgency=medium

  * New upstream release 340.98.
  * Synchronize packaging with nvidia-settings 340.98-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Nov 2016 20:07:20 +0100

nvidia-settings-legacy-340xx (340.93-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Nov 2015 18:43:40 +0100

nvidia-settings-legacy-340xx (340.93-1) unstable; urgency=medium

  * Initial release of nvidia-settings for use with the legacy 340xx driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 18:34:36 +0200

nvidia-settings (340.98-1) unstable; urgency=medium

  * New upstream release 340.98.
  * Convert packaging repository from SVN to GIT.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Enable more hardening.
  * typos.diff: New, fix some typos found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Nov 2016 18:05:10 +0100

nvidia-settings (340.93-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 340.93.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch by
    Jérémy Bobbio.  (Closes: #786637)

  [ Luca Boccassi ]
  * Change libxnvctrl0 and libxnvctrl-dev Architecture to any
  * Convert libxnvctrl0 and libxnvctrl-dev to Multi-Arch: same
  * Added myself to Uploaders

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 16:10:43 +0200

nvidia-settings (340.46-2) unstable; urgency=medium

  * d/copyright: Fix patterns and add jansson.
  * 16_gzip-n.diff: New. Use gzip -n to not embed timestamps.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 23:27:05 +0200

nvidia-settings (340.46-1) unstable; urgency=medium

  * New upstream release 340.46.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Oct 2014 23:54:07 -0700

nvidia-settings (340.32-1) unstable; urgency=medium

  * New upstream release 340.32.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 19 Aug 2014 23:48:23 -0700

nvidia-settings (340.24-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release 340.24.
    - Fixed a bug that caused the "Allow G-SYNC" checkbox to be displayed in
      nvidia-settings even if the GPUs in the system are not capable of G-SYNC.
  * New upstream release 340.17.
    - Updated nvidia-settings to report all valid names for each target
      when querying target types, e.g. `nvidia-settings -q gpus`.
    - Updated the nvidia-settings Makefiles to allow nvidia-settings
      to be dynamically linked against the host system's libjansson.
      This option can be enabled by setting the NV_USE_BUNDLED_LIBJANSSON
      Makefile variable to 0.  Please note that nvidia-settings requires
      libjansson version 2.2 or later.
  * New upstream release 337.25.
    - Fixed a bug that caused duplicate entries to appear in some dropdown
      menus in the "Application Profiles" page of nvidia-setting
  * New upstream release 331.104.
    - Fixed a bug that could cause framelock status to be incorrectly
      reported in the nvidia-settings control panel on some multi-GPU
      framelock configurations.
  * Add myself to Uploaders.
  * Build against system libjansson. (Closes: #745500)
    - Add build-dep on libjansson-dev (>= 2.2).
  * Refresh patches.
  * Upload to unstable.

  [ Andreas Beckmann ]
  * Merge changes from 337.19-1.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 16:57:31 -0700

nvidia-settings (337.19-1) experimental; urgency=medium

  * New upstream release 337.19.
    - Added nvidia-settings command line controls for over- and under-clocking
      attributes.  Please see the nvidia-settings(1) manual page for
      more details.
    - Fixed several cosmetic issues in the clock control user interface
      of nvidia-settings.
  * New upstream release 337.12.
    - Updated the display configuration page in nvidia-settings to uniquely
      identify DisplayPort 1.2 monitors by displaying the monitor GUIDs.
    - Fixed a bug that could cause ECC settings to be displayed incorrectly
      in nvidia-settings when changing ECC settings on a multi-GPU system.
    - Updated the color correction settings page in the nvidia-settings
      control panel to reflect gamma changes made by other RandR clients
      while the control panel was already running.
    - Updated the minimum required version of GTK+ from 2.2 to 2.4 for
      nvidia-settings.
  * Refresh patches 04_link_as-needed, 10_libxnvctrl_so_0, 13_clean.
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2014 02:25:40 +0200

nvidia-settings (334.21-1) experimental; urgency=medium

  * New upstream release 334.21.
  * New upstream release 334.16.
    - Fixed a bug that could cause nvidia-settings to compute incorrect
      gamma ramps when adjusting the color correction sliders.
    - Updated the nvidia-settings control panel to allow the selection
      of display devices using RandR and target ID names when making
      queries targeted towards specific display devices.
    - Fixed a bug that prevented some dropdown menus in the
      nvidia-settings control panel from working correctly on older
      versions of GTK+ (e.g. 2.10.x).
    - Updated the nvidia-settings control panel to provide help text
      for application profile keys and suggestions for valid key names
      when configuring application profiles.
    - Updated the nvidia-settings control panel to populate the dropdown
      menu of stereo modes with only those modes which are available.

