=== debian/control ===
Source: nvidia-settings-legacy-340xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <luca.boccassi@gmail.com>,
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev (>= 2.4),
 libjansson-dev (>= 2.2),
 libvdpau-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 dh-exec (>= 0.3),
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.8
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 340xx/jessie-backports
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git

Package: nvidia-settings-legacy-340xx
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 pkg-config,
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Breaks:
 nvidia-alternative (<< 313.30-2),
 nvidia-alternative-legacy-173xx (<< 173.14.37),
 nvidia-alternative-legacy-96xx (<< 96.43.23-4),
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.
