## nvidia-settings-legacy-340xx 340.101

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.101-1) unstable; urgency=medium

  * New upstream release 340.101.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 05:25:47 +0100
