=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <luca.boccassi@gmail.com>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev (>= 2.4),
@@ -24,7 +24,7 @@
  libxnvctrl-dev,
 Standards-Version: 3.9.8
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
-Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 340xx/jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 340xx/master
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
 
 Package: nvidia-settings-legacy-340xx
