## nvidia-settings-legacy-340xx 340.107

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.107-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings-legacy-390xx 390.87-1.
  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Use dh_missing --fail-missing.
  * Disable dh_dwz.  (See #918903)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 17:02:18 +0100

nvidia-settings-legacy-340xx (340.107-1) unstable; urgency=medium

  * New upstream release 340.107.
  * Use reproducibility patches from upstream.
  * Bump Standards-Version to 4.1.5. No changes needed.
  * Switch to debhelper compat level 11.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jul 2018 18:37:26 +0200

nvidia-settings-legacy-340xx (340.106-1) unstable; urgency=medium

  * New upstream release 340.106.
  * Synchronize packaging with nvidia-settings 390.25-1.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Mar 2018 18:30:04 +0100

nvidia-settings-legacy-340xx (340.104-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 340.104.
  * 10_libxnvctrl_so_0.diff: Remove, not used for the legacy branches.
  * Synchronize packaging with nvidia-settings 375.82-2.
  * Recommend nvidia-legacy-340xx-vdpau-driver.
  * Resolve xorg libdir at build time.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders.  (Closes: #879415)
  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * 13_clean.diff: Remove, fixed upstream since 337.12.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

  [ Luca Boccassi ]
  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).
  * Use https for all URLs.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2017 11:52:22 +0100
