## nvidia-settings-legacy-340xx 340.108

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.108-7~mx25) mx; urgency=medium

  * Rebuild for MX 25.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Oct 2025 20:39:59 -0700

nvidia-settings-legacy-340xx (340.108-7~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 07 Aug 2023 06:30:31 -0700

nvidia-settings-legacy-340xx (340.108-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 14:20:20 +0100

nvidia-settings-legacy-340xx (340.108-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1. No changes needed.
  * Bump watch file version to 4. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 08:32:21 +0200

nvidia-settings-legacy-340xx (340.108-5) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 22:36:05 +0200

nvidia-settings-legacy-340xx (340.108-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 14:15:22 +0100

nvidia-settings-legacy-340xx (340.108-3) unstable; urgency=medium

  * Use the upstream solution from 440.100 for building with gcc-10.
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 14:19:47 +0200

nvidia-settings-legacy-340xx (340.108-2) unstable; urgency=medium

  * Fix FTBFS with gcc-10.  (Closes: #957618)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Apr 2020 22:23:29 +0200

nvidia-settings-legacy-340xx (340.108-1~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 23:25:44 +0100

nvidia-settings-legacy-340xx (340.108-1) unstable; urgency=medium

  * New upstream release 340.108.
    - Fixed a bug that could prevent nvidia-xconfig from disabling the X
      Composite extension on version 1.20 of the X.org X server.  (390.116-1)
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 22:56:48 +0100

nvidia-settings-legacy-304xx (304.137-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 13:13:29 +0100

nvidia-settings-legacy-304xx (304.137-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings 340.106-1/390.25-1.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Mar 2018 08:12:00 +0100

nvidia-settings-legacy-304xx (304.137-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 304.137.
  * typos.diff: Fix more typos found by lintian.
  * Synchronize packaging with nvidia-settings 340.104-1/375.82-2.
  * 10_libxnvctrl_so_0.diff: Remove, not used for the legacy branches.
  * Resolve xorg libdir at build time.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders.  (Closes: #879414)
  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

  [ Luca Boccassi ]
  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).
  * Use https for all URLs.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2017 13:13:56 +0100

nvidia-settings-legacy-304xx (304.134-1) unstable; urgency=medium

  * New upstream release 304.134.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 05:41:10 +0100

nvidia-settings-legacy-304xx (304.132-1) unstable; urgency=medium

  * New upstream release 304.132.
  * Synchronize packaging with nvidia-settings 340.98-1:
    - Convert packaging repository from SVN to GIT.
    - Bump Standards-Version to 3.9.8. No changes needed.
    - Enable more hardening.
  * typos.diff: New, fix some typos found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 06 Nov 2016 00:11:49 +0100

nvidia-settings-legacy-304xx (304.128-1) unstable; urgency=medium

  * New upstream release 304.128.
  * Synchronize packaging with nvidia-settings 340.93-1:
    - d/rules: Make the build reproducible by using deterministic timestamp,
      user and hostname strings to be included in the binary. Based on patch
      by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 17:49:40 +0200

nvidia-settings-legacy-304xx (304.123-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings 319.82-1:
    - Add lintian override for gpg signature not provided by upstream.
  * Synchronize packaging with nvidia-settings 340.46-1:
    - Bump Standards-Version to 3.9.6. No changes needed.
  * Synchronize packaging with nvidia-settings 340.46-2:
    - d/copyright: Fix patterns.

